Subject: Re: old but persistent problem: bad line length character

From: Jakub Narebski <[email-masked]>
Date: Wed, 08 Jun 2011 10:33:20 -0700 (PDT)

Junio C Hamano <[email-masked]> writes:

> Peter Kleiweg <[email-masked]> writes:
> 
> > I made it read some more than 4 bytes. And this is what I get:
> >
> > {27}]0;github git-receive-pack 'pebbe/Gabmap.git'{7}
> >
> > Ah, I see! I have a wrapper set-up around ssh that sets the 
> > window title of the shell to the ssh command argument. That is 
> > what messes things up!
> >
> > OK. Fixed now.
> 
> That does not explain why you earlier said 1.4.4.4 works and more recent
> versions do not, though.

>>From my #git channel logs:

Jun 03 19:09:42 <ShadeHawk>     Hmmm... for a while I had transient (i.e. fixed now) error
                                when fetching from git.kernel.org repositories
Jun 03 19:09:50 <ShadeHawk>     $ git fetch origin
Jun 03 19:09:59 <ShadeHawk>     fatal: protocol error: bad line length character: git:
Jun 03 19:10:24 <ShadeHawk>     but when I wanted to debug it (with GIT_TRACE_PACKET=2),
                                it was already fixed ;-P

$ git version
git version 1.7.5

It might be not related with issue that Peter encountered, though.
-- 
Jakub Narebski
Poland
ShadeHawk on #git